iOS 7 VPP Changes and Casper Suite

lehmanp00
Contributor III

With iOS 7 being released today, I thought I would ask if anyone had any details on the VPP changes that are supposedly coming. AND if/when/how Casper Suite will incorporate the VPP changes. Assuming that MDM solutions even need to make changes I guess.

6 REPLIES 6

nsdjoe
Contributor II

I don't know details on changes, but this article stated the following about JAMF:
http://www.cio.com.au/article/526811/today_ios_7_downloads_an_unprecedented_challenge_it/?utm_medium...

"Enterprises have been testing updated applications from their mobile device management vendors, who have been racing to fully support iOS 7 on day one of its availability. JAMF Software's Casper Suite is just one of several that will "full support" iOS 7 on Wednesday, according to the vendor."

Looking forward to testing out a new iOS 7 compatible Casper Suite!
~Joe

nsdjoe
Contributor II

One way to keep users from updating to iOS 7 right away...

How to use DNS to block iOS 7, and other updates too
http://www.enterpriseios.com/story/2013/09/17/How_to_use_DNS_to_block_iOS_7_and_other_updates_too

Good luck everyone!
~Joe

nsdjoe
Contributor II

This chart has been updated for iOS 7. It shows what features Casper Suite has confirmed with them (scroll down to "App Management" to see some of the new iOS 7 features)

http://www.enterpriseios.com/mdm/Casper_Suite

Just waiting for the email from JAMF to confirm... πŸ™‚
~Joe

lehmanp00
Contributor III

Ok, I see Casper 8.72.

However, the release notes state that you now need MySQL 5.5 or later. I know v9 needed a separate install of MySQL but 8.72 does now too?

This is from the Upgrading the JSS on Mac OSX Server section.

Mac computer with:

An Intel processor

2 GB of RAM

400 MB of disk space available

OS X Server v10.6 or later

Java 1.6

MySQL Enterprise Edition 5.5 or later (recommended) or MySQL Community Server 5.5 or later, available at:
https://www.mysql.com/downloads/


Ports 8443 and 9006 available

lehmanp00
Contributor III

Talking with JAMF support the 8.7.2 upgrade works as it did before. Just run the JSS Installer to upgrade, no DB stuff needed. Other than backups beforehand of course.

lehmanp00
Contributor III

I just updated to 8.7.2 and everything looks fine.

However, after comparing the release notes for 9.1 and 8.7.2, I'm assuming only 9.1 has full support for all the new iOS 7 VPP stuff.